using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace JXC_MIS.UserTier.NewForm
{
	/// <summary>
	/// frmDataList 的摘要说明。
	/// </summary>
	public class frmDataList : System.Windows.Forms.Form
	{
		protected System.Windows.Forms.ToolBarButton t_s4;
		protected System.Windows.Forms.ToolBarButton t_Menu;
		protected System.Windows.Forms.ContextMenu ctm_Menu;
		protected System.Windows.Forms.ToolBarButton t_new;
		protected System.Windows.Forms.ToolBarButton t_Modify;
		protected System.Windows.Forms.ToolBarButton t_Save;
		protected System.Windows.Forms.ToolBarButton t_Cancel;
		protected System.Windows.Forms.ToolBarButton t_Delete;
		protected System.Windows.Forms.ToolBarButton t_S3;
		protected System.Windows.Forms.ToolBarButton t_Preview;
		protected System.Windows.Forms.ToolBarButton t_Print;
		protected System.Windows.Forms.ToolBarButton T_S1;
		protected System.Windows.Forms.ToolBarButton t_Refresh;
		protected System.Windows.Forms.ToolBarButton t_Find;
		protected System.Windows.Forms.ToolBarButton t_S2;
		protected System.Windows.Forms.ToolBarButton t_Exit;
		protected System.Windows.Forms.ToolBar tbr_Toolbar;
		protected System.Windows.Forms.ImageList img_ImageList;
		protected System.Windows.Forms.StatusBar sbr_StatusBar;
		private System.Windows.Forms.ComboBox cbo_Value;
		private System.Windows.Forms.DateTimePicker dt_Date;
		private System.Windows.Forms.Button cmd_Close;
		private System.Windows.Forms.Label lblCaption;
		protected System.Windows.Forms.Button cmd_Cancel;
		protected System.Windows.Forms.Button cmd_ExeQuery;
		protected System.Windows.Forms.Panel pnl_Filter;
		private System.Windows.Forms.Label label3;
		protected ljs.MyFlexGrid grd_Show;
		private System.Windows.Forms.Label label2;
		private ljs.MyGrid myGrid1;
		private System.Windows.Forms.ComboBox comboBox1;
		private System.Windows.Forms.DateTimePicker dateTimePicker1;
		private System.Windows.Forms.Button button1;
		private System.Windows.Forms.Label label1;
		protected System.Windows.Forms.Button button2;
		protected System.Windows.Forms.Button button3;
		private System.Windows.Forms.StatusBar statusBar1;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.StatusBarPanel statusBarPanel1;
		private System.Windows.Forms.ComboBox comboBox2;
		private System.Windows.Forms.ComboBox comboBox3;
		private System.ComponentModel.IContainer components;

		public frmDataList()
		{
			//
			// Windows 窗体设计器支持所必需的
			//
			InitializeComponent();

			//
			// TODO: 在 InitializeComponent 调用后添加任何构造函数代码
			//
		}

		/// <summary>
		/// 清理所有正在使用的资源。
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows 窗体设计器生成的代码
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(frmDataList));
			this.t_s4 = new System.Windows.Forms.ToolBarButton();
			this.t_Menu = new System.Windows.Forms.ToolBarButton();
			this.ctm_Menu = new System.Windows.Forms.ContextMenu();
			this.t_new = new System.Windows.Forms.ToolBarButton();
			this.t_Modify = new System.Windows.Forms.ToolBarButton();
			this.t_Save = new System.Windows.Forms.ToolBarButton();
			this.t_Cancel = new System.Windows.Forms.ToolBarButton();
			this.t_Delete = new System.Windows.Forms.ToolBarButton();
			this.t_S3 = new System.Windows.Forms.ToolBarButton();
			this.t_Preview = new System.Windows.Forms.ToolBarButton();
			this.t_Print = new System.Windows.Forms.ToolBarButton();
			this.T_S1 = new System.Windows.Forms.ToolBarButton();
			this.t_Refresh = new System.Windows.Forms.ToolBarButton();
			this.t_Find = new System.Windows.Forms.ToolBarButton();
			this.t_S2 = new System.Windows.Forms.ToolBarButton();
			this.t_Exit = new System.Windows.Forms.ToolBarButton();
			this.tbr_Toolbar = new System.Windows.Forms.ToolBar();
			this.img_ImageList = new System.Windows.Forms.ImageList(this.components);
			this.sbr_StatusBar = new System.Windows.Forms.StatusBar();
			this.cbo_Value = new System.Windows.Forms.ComboBox();
			this.dt_Date = new System.Windows.Forms.DateTimePicker();
			this.cmd_Close = new System.Windows.Forms.Button();
			this.lblCaption = new System.Windows.Forms.Label();
			this.cmd_Cancel = new System.Windows.Forms.Button();
			this.cmd_ExeQuery = new System.Windows.Forms.Button();
			this.pnl_Filter = new System.Windows.Forms.Panel();
			this.label3 = new System.Windows.Forms.Label();
			this.grd_Show = new ljs.MyFlexGrid();
			this.label2 = new System.Windows.Forms.Label();
			this.myGrid1 = new ljs.MyGrid();
			this.comboBox1 = new System.Windows.Forms.ComboBox();
			this.dateTimePicker1 = new System.Windows.Forms.DateTimePicker();
			this.button1 = new System.Windows.Forms.Button();
			this.label1 = new System.Windows.Forms.Label();
			this.button2 = new System.Windows.Forms.Button();
			this.button3 = new System.Windows.Forms.Button();
			this.statusBar1 = new System.Windows.Forms.StatusBar();
			this.label4 = new System.Windows.Forms.Label();
			this.label5 = new System.Windows.Forms.Label();
			this.statusBarPanel1 = new System.Windows.Forms.StatusBarPanel();
			this.comboBox2 = new System.Windows.Forms.ComboBox();
			this.comboBox3 = new System.Windows.Forms.ComboBox();
			this.pnl_Filter.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.statusBarPanel1)).BeginInit();
			this.SuspendLayout();
			// 
			// t_s4
			// 
			this.t_s4.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			this.t_s4.Tag = "";
			// 
			// t_Menu
			// 
			this.t_Menu.DropDownMenu = this.ctm_Menu;
			this.t_Menu.ImageIndex = 29;
			this.t_Menu.Style = System.Windows.Forms.ToolBarButtonStyle.DropDownButton;
			this.t_Menu.Tag = "菜单";
			this.t_Menu.ToolTipText = "菜单";
			// 
			// t_new
			// 
			this.t_new.ImageIndex = 32;
			this.t_new.Tag = "新增";
			this.t_new.ToolTipText = "新增";
			this.t_new.Visible = false;
			// 
			// t_Modify
			// 
			this.t_Modify.ImageIndex = 15;
			this.t_Modify.Tag = "修改";
			this.t_Modify.ToolTipText = "修改";
			this.t_Modify.Visible = false;
			// 
			// t_Save
			// 
			this.t_Save.ImageIndex = 6;
			this.t_Save.Tag = "保存";
			this.t_Save.ToolTipText = "保存";
			this.t_Save.Visible = false;
			// 
			// t_Cancel
			// 
			this.t_Cancel.ImageIndex = 25;
			this.t_Cancel.Tag = "放弃";
			this.t_Cancel.ToolTipText = "放弃";
			this.t_Cancel.Visible = false;
			// 
			// t_Delete
			// 
			this.t_Delete.ImageIndex = 25;
			this.t_Delete.Tag = "删除";
			this.t_Delete.ToolTipText = "删除";
			this.t_Delete.Visible = false;
			// 
			// t_S3
			// 
			this.t_S3.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			this.t_S3.Tag = "";
			// 
			// t_Preview
			// 
			this.t_Preview.ImageIndex = 18;
			this.t_Preview.Tag = "预览";
			this.t_Preview.ToolTipText = "预览";
			// 
			// t_Print
			// 
			this.t_Print.ImageIndex = 7;
			this.t_Print.Tag = "打印";
			this.t_Print.ToolTipText = "打印";
			// 
			// T_S1
			// 
			this.T_S1.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			this.T_S1.Tag = "";
			// 
			// t_Refresh
			// 
			this.t_Refresh.ImageIndex = 20;
			this.t_Refresh.Tag = "刷新";
			this.t_Refresh.ToolTipText = "刷新";
			// 
			// t_Find
			// 
			this.t_Find.ImageIndex = 33;
			this.t_Find.Tag = "查询";
			this.t_Find.ToolTipText = "查询";
			// 
			// t_S2
			// 
			this.t_S2.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			this.t_S2.Tag = "";
			// 
			// t_Exit
			// 
			this.t_Exit.ImageIndex = 13;
			this.t_Exit.Tag = "退出";
			this.t_Exit.ToolTipText = "退出";
			// 
			// tbr_Toolbar
			// 
			this.tbr_Toolbar.Appearance = System.Windows.Forms.ToolBarAppearance.Flat;
			this.tbr_Toolbar.Buttons.AddRange(new System.Windows.Forms.ToolBarButton[] {
																						   this.t_s4,
																						   this.t_Menu,
																						   this.t_new,
																						   this.t_Modify,
																						   this.t_Save,
																						   this.t_Cancel,
																						   this.t_Delete,
																						   this.t_S3,
																						   this.t_Preview,
																						   this.t_Print,
																						   this.T_S1,
																						   this.t_Refresh,
																						   this.t_Find,
																						   this.t_S2,
																						   this.t_Exit});
			this.tbr_Toolbar.ButtonSize = new System.Drawing.Size(23, 22);
			this.tbr_Toolbar.DropDownArrows = true;
			this.tbr_Toolbar.ImageList = this.img_ImageList;
			this.tbr_Toolbar.Location = new System.Drawing.Point(0, 0);
			this.tbr_Toolbar.Name = "tbr_Toolbar";
			this.tbr_Toolbar.ShowToolTips = true;
			this.tbr_Toolbar.Size = new System.Drawing.Size(798, 28);
			this.tbr_Toolbar.TabIndex = 24;
			this.tbr_Toolbar.Wrappable = false;
			// 
			// img_ImageList
			// 
			this.img_ImageList.ImageSize = new System.Drawing.Size(16, 16);
			this.img_ImageList.TransparentColor = System.Drawing.Color.Transparent;
			// 
			// sbr_StatusBar
			// 
			this.sbr_StatusBar.Location = new System.Drawing.Point(0, 430);
			this.sbr_StatusBar.Name = "sbr_StatusBar";
			this.sbr_StatusBar.ShowPanels = true;
			this.sbr_StatusBar.Size = new System.Drawing.Size(798, 25);
			this.sbr_StatusBar.TabIndex = 25;
			this.sbr_StatusBar.Text = "statusBar1";
			// 
			// cbo_Value
			// 
			this.cbo_Value.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cbo_Value.DropDownWidth = 200;
			this.cbo_Value.ItemHeight = 12;
			this.cbo_Value.Location = new System.Drawing.Point(88, 58);
			this.cbo_Value.Name = "cbo_Value";
			this.cbo_Value.Size = new System.Drawing.Size(236, 20);
			this.cbo_Value.TabIndex = 5;
			this.cbo_Value.Visible = false;
			// 
			// dt_Date
			// 
			this.dt_Date.Location = new System.Drawing.Point(88, 34);
			this.dt_Date.Name = "dt_Date";
			this.dt_Date.Size = new System.Drawing.Size(236, 21);
			this.dt_Date.TabIndex = 4;
			this.dt_Date.Value = new System.DateTime(2005, 3, 22, 14, 26, 34, 389);
			this.dt_Date.Visible = false;
			// 
			// cmd_Close
			// 
			this.cmd_Close.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.cmd_Close.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.cmd_Close.Location = new System.Drawing.Point(262, 2);
			this.cmd_Close.Name = "cmd_Close";
			this.cmd_Close.Size = new System.Drawing.Size(18, 16);
			this.cmd_Close.TabIndex = 3;
			this.cmd_Close.Text = "x";
			// 
			// lblCaption
			// 
			this.lblCaption.BackColor = System.Drawing.Color.RoyalBlue;
			this.lblCaption.Image = ((System.Drawing.Image)(resources.GetObject("lblCaption.Image")));
			this.lblCaption.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.lblCaption.Location = new System.Drawing.Point(-2, 0);
			this.lblCaption.Name = "lblCaption";
			this.lblCaption.Size = new System.Drawing.Size(488, 20);
			this.lblCaption.TabIndex = 2;
			this.lblCaption.Text = "   查询过滤";
			this.lblCaption.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// cmd_Cancel
			// 
			this.cmd_Cancel.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.cmd_Cancel.Location = new System.Drawing.Point(4, 206);
			this.cmd_Cancel.Name = "cmd_Cancel";
			this.cmd_Cancel.Size = new System.Drawing.Size(70, 24);
			this.cmd_Cancel.TabIndex = 1;
			this.cmd_Cancel.Text = "关闭";
			// 
			// cmd_ExeQuery
			// 
			this.cmd_ExeQuery.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.cmd_ExeQuery.Location = new System.Drawing.Point(76, 208);
			this.cmd_ExeQuery.Name = "cmd_ExeQuery";
			this.cmd_ExeQuery.Size = new System.Drawing.Size(70, 24);
			this.cmd_ExeQuery.TabIndex = 0;
			this.cmd_ExeQuery.Text = "执行查询";
			// 
			// pnl_Filter
			// 
			this.pnl_Filter.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.pnl_Filter.Controls.Add(this.comboBox3);
			this.pnl_Filter.Controls.Add(this.comboBox2);
			this.pnl_Filter.Controls.Add(this.statusBar1);
			this.pnl_Filter.Controls.Add(this.cmd_Close);
			this.pnl_Filter.Controls.Add(this.lblCaption);
			this.pnl_Filter.Controls.Add(this.cmd_Cancel);
			this.pnl_Filter.Controls.Add(this.cmd_ExeQuery);
			this.pnl_Filter.Controls.Add(this.label4);
			this.pnl_Filter.Controls.Add(this.label5);
			this.pnl_Filter.Controls.Add(this.dt_Date);
			this.pnl_Filter.Controls.Add(this.cbo_Value);
			this.pnl_Filter.Location = new System.Drawing.Point(276, 98);
			this.pnl_Filter.Name = "pnl_Filter";
			this.pnl_Filter.Size = new System.Drawing.Size(334, 260);
			this.pnl_Filter.TabIndex = 27;
			this.pnl_Filter.Visible = false;
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(292, 6);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(312, 14);
			this.label3.TabIndex = 28;
			this.label3.Text = "数据显示窗口";
			// 
			// grd_Show
			// 
			this.grd_Show.BackColorSel = System.Drawing.SystemColors.Highlight;
			this.grd_Show.BorderStyle = false;
			this.grd_Show.CellBackColor = System.Drawing.Color.White;
			this.grd_Show.CellColLength = 0;
			this.grd_Show.CellForeColor = System.Drawing.SystemColors.ControlText;
			this.grd_Show.CellMultiLine = false;
			this.grd_Show.CellRowLength = 0;
			this.grd_Show.CellTag = null;
			this.grd_Show.Col = 1;
			this.grd_Show.ColCommanFormat = null;
			this.grd_Show.ColLocked = false;
			this.grd_Show.Cols = 2;
			this.grd_Show.ColSel = 1;
			this.grd_Show.DetailFormat = "NO|数据明细";
			this.grd_Show.EnterToTab = true;
			this.grd_Show.FixedBackColor = System.Drawing.SystemColors.Control;
			this.grd_Show.FixedCols = 1;
			this.grd_Show.FormatString = null;
			this.grd_Show.FormatString1 = null;
			this.grd_Show.GridColor = System.Drawing.Color.FromArgb(((System.Byte)(183)), ((System.Byte)(183)), ((System.Byte)(183)));
			this.grd_Show.GridStyle = true;
			this.grd_Show.Location = new System.Drawing.Point(0, 30);
			this.grd_Show.MultiHead = false;
			this.grd_Show.Name = "grd_Show";
			this.grd_Show.OnlyRead = false;
			this.grd_Show.Row = 1;
			this.grd_Show.Rows = 2;
			this.grd_Show.RowSel = 1;
			this.grd_Show.SetCellWidth = null;
			this.grd_Show.Size = new System.Drawing.Size(254, 400);
			this.grd_Show.TabIndex = 19;
			// 
			// label2
			// 
			this.label2.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.label2.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.label2.Location = new System.Drawing.Point(0, 181);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(380, 24);
			this.label2.TabIndex = 7;
			this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// myGrid1
			// 
			this.myGrid1.BackColor = System.Drawing.Color.White;
			this.myGrid1.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("myGrid1.BackgroundImage")));
			this.myGrid1.BorderStyle = false;
			this.myGrid1.BorderWidth = 0;
			this.myGrid1.CellBackColor = System.Drawing.Color.White;
			this.myGrid1.CellColLength = -1;
			this.myGrid1.CellFontSize = 9F;
			this.myGrid1.CellForeColor = System.Drawing.Color.Black;
			this.myGrid1.CellHeight = 0;
			this.myGrid1.CellRowLength = -1;
			this.myGrid1.CellTag = null;
			this.myGrid1.Col = 0;
			this.myGrid1.Cols = 6;
			this.myGrid1.EnterToTab = true;
			this.myGrid1.GridStyle = true;
			this.myGrid1.Location = new System.Drawing.Point(0, 52);
			this.myGrid1.Name = "myGrid1";
			this.myGrid1.ReadCellBackColor = System.Drawing.Color.White;
			this.myGrid1.ReadCellForeColor = System.Drawing.Color.Black;
			this.myGrid1.Row = 0;
			this.myGrid1.RowHeightMin = 20;
			this.myGrid1.Rows = 2;
			this.myGrid1.SetCellWidth = "100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100";
			this.myGrid1.Size = new System.Drawing.Size(392, 126);
			this.myGrid1.TabIndex = 6;
			// 
			// comboBox1
			// 
			this.comboBox1.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboBox1.DropDownWidth = 200;
			this.comboBox1.ItemHeight = 12;
			this.comboBox1.Location = new System.Drawing.Point(4, 50);
			this.comboBox1.Name = "comboBox1";
			this.comboBox1.Size = new System.Drawing.Size(112, 20);
			this.comboBox1.TabIndex = 5;
			this.comboBox1.Visible = false;
			// 
			// dateTimePicker1
			// 
			this.dateTimePicker1.Location = new System.Drawing.Point(6, 24);
			this.dateTimePicker1.Name = "dateTimePicker1";
			this.dateTimePicker1.Size = new System.Drawing.Size(110, 21);
			this.dateTimePicker1.TabIndex = 4;
			this.dateTimePicker1.Value = new System.DateTime(2005, 3, 22, 14, 56, 42, 660);
			this.dateTimePicker1.Visible = false;
			// 
			// button1
			// 
			this.button1.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.button1.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.button1.Location = new System.Drawing.Point(356, 2);
			this.button1.Name = "button1";
			this.button1.Size = new System.Drawing.Size(18, 16);
			this.button1.TabIndex = 3;
			this.button1.Text = "x";
			// 
			// label1
			// 
			this.label1.BackColor = System.Drawing.SystemColors.ActiveCaption;
			this.label1.Dock = System.Windows.Forms.DockStyle.Top;
			this.label1.Image = ((System.Drawing.Image)(resources.GetObject("label1.Image")));
			this.label1.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.label1.Location = new System.Drawing.Point(0, 0);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(380, 24);
			this.label1.TabIndex = 2;
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// button2
			// 
			this.button2.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.button2.Location = new System.Drawing.Point(310, 160);
			this.button2.Name = "button2";
			this.button2.Size = new System.Drawing.Size(70, 24);
			this.button2.TabIndex = 1;
			this.button2.Text = "关闭";
			// 
			// button3
			// 
			this.button3.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.button3.Location = new System.Drawing.Point(308, 26);
			this.button3.Name = "button3";
			this.button3.Size = new System.Drawing.Size(70, 24);
			this.button3.TabIndex = 0;
			this.button3.Text = "执行查询";
			// 
			// statusBar1
			// 
			this.statusBar1.Location = new System.Drawing.Point(0, 234);
			this.statusBar1.Name = "statusBar1";
			this.statusBar1.Panels.AddRange(new System.Windows.Forms.StatusBarPanel[] {
																						  this.statusBarPanel1});
			this.statusBar1.ShowPanels = true;
			this.statusBar1.Size = new System.Drawing.Size(332, 24);
			this.statusBar1.TabIndex = 6;
			this.statusBar1.Text = "statusBar1";
			// 
			// label4
			// 
			this.label4.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.label4.Location = new System.Drawing.Point(12, 34);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(76, 20);
			this.label4.TabIndex = 7;
			this.label4.Text = "开始日期:";
			this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(12, 56);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(74, 16);
			this.label5.TabIndex = 8;
			this.label5.Text = "结束日期:";
			// 
			// statusBarPanel1
			// 
			this.statusBarPanel1.Text = "statusBarPanel1";
			this.statusBarPanel1.Width = 1000;
			// 
			// comboBox2
			// 
			this.comboBox2.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboBox2.DropDownWidth = 200;
			this.comboBox2.ItemHeight = 12;
			this.comboBox2.Location = new System.Drawing.Point(88, 80);
			this.comboBox2.Name = "comboBox2";
			this.comboBox2.Size = new System.Drawing.Size(236, 20);
			this.comboBox2.TabIndex = 9;
			this.comboBox2.Visible = false;
			// 
			// comboBox3
			// 
			this.comboBox3.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboBox3.DropDownWidth = 200;
			this.comboBox3.ItemHeight = 12;
			this.comboBox3.Location = new System.Drawing.Point(88, 102);
			this.comboBox3.Name = "comboBox3";
			this.comboBox3.Size = new System.Drawing.Size(236, 20);
			this.comboBox3.TabIndex = 10;
			this.comboBox3.Visible = false;
			// 
			// frmDataList
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
			this.ClientSize = new System.Drawing.Size(798, 455);
			this.Controls.Add(this.label3);
			this.Controls.Add(this.sbr_StatusBar);
			this.Controls.Add(this.tbr_Toolbar);
			this.Controls.Add(this.pnl_Filter);
			this.Controls.Add(this.grd_Show);
			this.Name = "frmDataList";
			this.Text = "数据显示窗口";
			this.Load += new System.EventHandler(this.frmDataList_Load);
			this.pnl_Filter.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.statusBarPanel1)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		private void frmDataList_Load(object sender, System.EventArgs e)
		{
		
		}




		/// <summary>
		/// 设置(行列)单元格。
		/// </summary>	
		private void InitCell(int index)
		{
//			try
//			{
//				//创建一个新的TextBox组件
//				ComboBox myBox = new ComboBox ( ) ;
//				Label myCaption = new Label ( ) ;
//				
//				
//			
//				//设定他的名称和Text属性，以及产生的位置
//				myBox.Name = "Box_" + index.ToString()  ;
////				myBox.Tag =null;//r.ToString() +c.ToString();//保存索引
////				myBox.AutoSize =false;
//				myCaption.Name = "Caption_" + index.ToString()  ;
//		
//				myBox.Width=w ;
//				myBox.Height=rowHeightMin ;
//				myBox.Location = new Point ( locY1,Cell.Location.Y) ; 
//				//将文本空件添加到控件数组中
//				ArrCellText[r,c]=myBox;
//				//为产生的新的TextBox组件设定事件
//				myBox.Click += new System.EventHandler ( this.txt_Cell_Click ) ;
//			
//				//在窗体中显示此文本框
//				this.Controls.Add ( myBox ) ;
//				//对要产生的文本框的纵坐标的相对位置是前一个产生按钮的相对位置的纵坐标加"3
//				if (GridStyle==true) {locY1 +=w+cellColLength;} 			
//				else {locY1 +=w;}
//				myBox.BringToFront();    //置前
//				myBox.AutoSize =false;   //不与字体大小自动调整单元格大小
//			}
//			catch
//			{
//			}

		}





	}
}
